Bug 38968 - vncviewer echoes password in clear, not as *****
Summary: vncviewer echoes password in clear, not as *****
Status: CLOSED DUPLICATE of bug 19231
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vnc   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-03 18:12 UTC by pdenis2
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-03 18:12:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description pdenis2 2001-05-03 18:12:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.16-22 i686)

Description of problem:
The popup password entry box for vnc(3.3.3r2-14) echoes the typed password
in the clear:  type 'swordfish', you see 'swordfish' instead of
'*********'.

How reproducible:
Always

Steps to Reproduce:
1. type 'vncviewer'; enter hostname to connect	
2. type 'swordfish in password box
	

Actual Results:  echoes "swordfish" in plaintext

Expected Results:   should echo '********'

Additional info:

RH7.0 with upgrades; gnome desktop
VNC version:
Name        : vnc                          Relocations: (not relocateable)
Version     : 3.3.3r2                           Vendor: Red Hat, Inc.
Release     : 14                            Build Date: Mon 19 Feb 2001
10:27:13 AM PST
Install date: Sat 14 Apr 2001 12:16:54 PM PDT      Build Host:
porky.devel.redhat.com
Group       : User Interface/Desktops       Source RPM:
vnc-3.3.3r2-14.src.rpm

Comment 1 Tim Waugh 2001-05-03 21:52:22 UTC
This is actually an Xaw bug, fixed in rawhide.


*** This bug has been marked as a duplicate of 19231 ***


Note You need to log in before you can comment on or make changes to this bug.